/**
 * React-dahua-cli
 */

 const semver = require('semver');

module.exports = function(generator) {
  const major = semver.major(process.version);
  const { props } = generator;
  const lib = props.src;
  const [ packager, version ] = ['yarn', '1.3.2'];
  const pkg = {
    name: props.name,
    description: props.description,
    version: '1.0.0',
    keywords: [
      'react-starter',
    ],
    author: {
      name: generator.user.git.name(),
      email: generator.user.git.email()
    },
    engines: {
      node: `^${major}.0.0`,
      [packager]: version
    },
    'scripts': {
      "build": "NODE_ENV=production webpack --config webpack.config.prod.js --progress --profile --colors",
      "start": "NODE_ENV=development API_URL=http://localhost:12306 webpack-dev-server --config webpack.config.dev.js --colors",
      "test": "echo \"Error: no test specified\" && exit 1"
    },
    'dependencies': {
      "antd":"^3.2.1",
      "moment":"^2.21.0",
      "react":"^16.2.0",
      "react-dom":"^16.2.0",
      "react-redux":"^5.0.5",
      "react-router-dom":"^4.2.2",
      "redux":"^3.7.2",
      "redux-thunk":"^2.2.0"
    },
    'devDependencies': {
      "babel-core":"^6.23.1",
      "babel-eslint":"^8.2.1",
      "babel-loader":"^7.1",
      "babel-plugin-import":"^1.6.3",
      "babel-plugin-transform-class-properties":"^6.24.1",
      "babel-plugin-transform-object-rest-spread":"^6.26.0",
      "babel-plugin-transform-runtime":"^6.23.0",
      "babel-preset-env":"^1.6.0",
      "babel-preset-react":"^6.23.0",
      "babel-runtime":"^6.22.0",
      "case-sensitive-paths-webpack-plugin":"^2.1.1",
      "clean-webpack-plugin":"^0.1.18",
      "copy-webpack-plugin":"^4.4.1",
      "css-loader":"^0.28.9",
      "eslint":"^4.9.0",
      "eslint-config-airbnb":"^16.1.0",
      "eslint-plugin-import":"^2.7.0",
      "eslint-plugin-jsx-a11y":"^6.0.2",
      "eslint-plugin-react":"^7.4.0",
      "extract-text-webpack-plugin":"^3.0.2",
      "file-loader":"^1.1.9",
      "html-webpack-plugin":"^2.26.0",
      "less":"2.7.2",
      "less-loader":"^4.0.5",
      "react-dev-utils":"^5.0.0",
      "react-hot-loader":"^3.0.0-beta.6",
      "redux-immutable-state-invariant":"^2.1.0",
      "redux-logger":"^3.0.6",
      "style-loader":"^0.20.1",
      "url-loader":"0.5.7",
      "webpack":"^3.3.0",
      "webpack-cleanup-plugin":"^0.4.2",
      "webpack-dev-server":"^2.4.1",
      "webpack-merge":"^4.1.1"
    },
    
  };

  return pkg;
};