/**
 * React-dahua-cli
 */

// 以下书写规范及数据供参考

import qs from 'qs'

class Api {
  constructor({ url }) {
    this.apiUrl = url
  }


  async get(endpoint, query = {}) {
    return this.call(endpoint, query, 'GET')
  }

  async create(endpoint, data) {
    return this.call(endpoint, data, 'POST')
  }

  async patch(endpoint, data) {
    return this.call(endpoint, data, 'PATCH')
  }

  async delete(endpoint, data) {
    return this.call(endpoint, data, 'DELETE')
  }

  async upload(data) {
    return this.call('assets', data, 'POST')
  }

  async call(endpoint, data, method) {
    const param = {
      method,
      headers: {
        Accept: 'application/json',
        'Content-Type': 'application/json',
      },
    }

    try {

      const res = await fetch(`${this.apiUrl}/${url}`, param)
      const json = await res.json()
      if (res.status === 200 || res.status === 201) {
        return Promise.resolve(json)
      }
      return Promise.reject(Error(json.message))
    } catch (error) {
      return Promise.reject(Error('请求有误'))
    }

  }

}

export default new Api({ url: window.API_URL })
